Unit tde75e2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ftde75e2_p, DE75E_p;

function tde75e2: String;

implementation

function tde75e2: String;
var
M0,K0,INIAPR,IMAX,IU,MEXACT,MESTER,K20,IMAX2,NATTEM,JSTART,NX,L,J,
   NUMBES,IERR :Integer;
X,EPS,THRESH,H,HMIN,XP,YX2,Y,YT,XK,H1 :Extended;
BUL :Boolean;
XJ0 :Array [0..17] of Extended;
AU :Array [0..19] of Extended;
AJK :Array [0..18] of Extended;
XJ02 :Array [0..26] of Extended;
AU2 :Array [0..28] of Extended;
AJK2 :Array [0..27] of Extended;
AJKP :Array [0..18] of Extended;
YP :Array [0..0] of Extended;
RABC :Array [0..26] of Extended;
HD4I :Array [0..27] of Extended;
ALP :Array [0..17] of Extended;
ALPN :Array [0..17] of Extended;
CMAR :Array [0..323] of Extended;
P :Array [0..169] of Extended;
ALP2 :Array [0..26] of Extended;
ALPN2 :Array [0..26] of Extended;
CMAR2 :Array [0..728] of Extended;
S :Array [0..188] of Extended;
U :Array [0..17] of Extended;
U2 :Array [0..26] of Extended;
DELTY :Array [0..0] of Extended;
RO :Array [0..0] of Extended;
ZFI :Array [0..21] of Extended;
ZFI2 :Array [0..29] of Extended;
const
K :Integer = 18;
K2 :Integer = 27;
M :Integer = 1;
label
_10,_1,_2,_3,_4,_5,_6,_20;
begin
Result := '';  {   }
{      PROGRAM AVSONE }
{  }
{  }
{        take into consideraitoin: all arraies dependent on K }
{               must be described for maximal value K }
{  }
{  }
{  }
{  }
_BLOCK.elm2 := 4.0e0;
M0 := M;
{  }
_BLOCK.elm1 := 0;
_STAT76.elm2 := 0;
_STAT76.elm1 := 0;
{  }
X := 0.0;
Y := Exp(_BLOCK.elm2);
XK := 7.e0;
K0 := 12;
INIAPR := 1;
IMAX := 23;
IU := 2;
EPS := 0.5e-11;
THRESH := 1.e0;
MEXACT := 1;
MESTER := 1;
H := 1.e0;
HMIN := 1.e-3;
K20 := 25;
IMAX2 := 3;
NATTEM := 3;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  }
JSTART := 0;
BUL := False;
{  }
for NX:=1 to 7 do
 begin
  Result := Result + Format(' JSTART (input) =%1d ',[JSTART]) + #$0D#$0A;
  DE75E(ftde75e2,M0,K0,INIAPR,IMAX,JSTART,Y,X,IU,EPS,THRESH,
       H,HMIN,BUL,XP,YP,MEXACT,NUMBES,DELTY,RO,MESTER,
       K20,IMAX2,YX2,NATTEM,AU,AJK,AU2,AJK2,XJ0,XJ02,
       AJKP,U,U2,ZFI,ZFI2,HD4I,RABC,
       ALP,ALPN,CMAR,P,S,ALP2,ALPN2,CMAR2,IERR);
{  }
{  }
  YT := Exp(_BLOCK.elm2*(X+1.e0));
  Result := Result + Format(#$0D#$0A+' RESULTS AFTER %1d ',[NX]);
  Result := Result + Format('%s',
 ['-nd   call procedure DE75E']) + #$0D#$0A;
  Result := Result + Format(' IERR=%2d    N=%5d    NACCEP=%3d    NREJEC=%3d    BUL=',
 [IERR,_BLOCK.elm1,_STAT76.elm1,_STAT76.elm2,BUL]) + #$0D#$0A;
  Result := Result + Format('%s',[' IERR=']);
  Result := Result + Format(' XP=%20.16f      X=%20.16f ',
 [XP,X]) + #$0D#$0A;
  Result := Result + Format(' H =%20.16f    K =%2d    INIAPR=%1d    IMAX =%2d    JSTART (exit) =%1d'+#$0D#$0A+'                                K2=%2d               IMAX2=%2d ',
 [H,K0,INIAPR,IMAX,JSTART,K20,IMAX2]) + #$0D#$0A;
  Result := Result + Format(' It is advisable to take the next segment H = %20.16f ',
 [H]) + #$0D#$0A;
  Result := Result + Format(' Y =%20.16f'+#$0D#$0A+' YT=%20.16f'+#$0D#$0A+' (YT-Y)/Y=%20.16f ',
 [Y,YT,(YT-Y)/Y]) + #$0D#$0A;
{  }
  Result := Result + Format(#$0D#$0A+'            COEFFICIENTS AU AND AJK ON %3d ',
 [NX]);
  Result := Result + Format('%s',['  SEGMENT  ']) + #$0D#$0A;
  for L:=1 to M do
   begin
    Result := Result + Format('%s',
 [' ----------------------------------------------------------------' + #$0D#$0A]);
    Result := Result + Format('   Number of       Chebyshev coefficients for %1d ',
 [L]);
    Result := Result + Format('%s',
 [' component'+#$0D#$0A+'              ---------------------------------------------------'+#$0D#$0A+' coefficient           for Y                     for Y'''+#$0D#$0A+' ----------------------------------------------------------------']) + #$0D#$0A;
    for J:=1 to K0+1 do
     begin
      Result := Result + Format('     %2d      %20.16f %20.16f ',
 [J-1,AU[(L-1)+(J-1)],AJK[(L-1)+(J-1)]]) + #$0D#$0A;
     end;
    Result := Result + Format('     %2d      %20.16f ',
 [K0+1,AU[(L-1)+(K0+2-1)]]) + #$0D#$0A;
_10:
   end;
  Result := Result + Format('%s',
 [' ****************************************************************' + #$0D#$0A]);
{  }
  case NX of
   1: goto _1;
   2: goto _2;
   3: goto _3;
   4: goto _4;
   5: goto _5;
   6: goto _6;
   7: goto _20;
  end;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  };
_1:
  JSTART := 0;
{  }
  K0 := 16;
  IMAX := 25;
  goto _20;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  };
_2:
  JSTART := 0;
{  }
  K0 := 17;
  IMAX := 24;
  goto _20;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  };
_3:
  JSTART := 0;
{  }
  K0 := 18;
  IMAX := 25;
  goto _20;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  };
_4:
  JSTART := 0;
{  }
  K20 := 26;
  IMAX2 := 3;
  goto _20;
{  }
{   take into consideraitoin: parameter JSTART must be equal to zero }
{  };
_5:
  JSTART := 0;
{  }
  K20 := 27;
  goto _20;
{  };
_6:
  H1 := XK-X;
  if ( H1 > H ) 
   then goto _20;
  H := H1;
  BUL := True;
_20:
 end;
{  }
UtRes('tde75e2',Result);  {     tde75e2.res }
exit;
{  }
{  }
{  }
{  }
{  }
end;

end.
